Subject: Re: [alsa-devel] Build failure after merge of the sound-current

From: Takashi Iwai <[email-masked]>
Date: Tue, 17 Sep 2019 23:02:07 +0200

On Tue, 17 Sep 2019 22:56:55 +0200,
Pierre-Louis Bossart wrote:
> 
> 
> 
> On 9/17/19 5:38 AM, Mark Brown wrote:
> > After merging the sound-current tree, today's linux-next build for x86
> > allmodconfig failed like this:
> >
> > In file included from /home/broonie/next/next/sound/soc/intel/boards/sof_rt5682.c:23:
> > /home/broonie/next/next/sound/soc/intel/boards/../common/soc-intel-quirks.h: In function 'soc_intel_is_cml':
> > /home/broonie/next/next/sound/soc/intel/boards/../common/soc-intel-quirks.h:39:23: error: 'INTEL_FAM6_KABYLAKE_MOBILE' undeclared (first use in this function); did you mean 'INTEL_FAM6_KABYLAKE_L'?
> >   SOC_INTEL_IS_CPU(cml, INTEL_FAM6_KABYLAKE_MOBILE);
> 
> > caused by commit
> >
> > 	c643c189f0fec116 (ASoC: Intel: boards: Add Cometlake machine driver support)
> >
> > IIRC there was some previous discussion of a dependency on other changes
> > here but I thought that was resolved?  I've reverted that commit for
> > today.
> 
> Seems like a conflict with
> 
> af239c44e3f97 ('x86/intel: Aggregate big core mobile naming')
> 
> maybe we can have a temporary fix in the ASoC tree along the lines of
> 
> #ifdef INTEL_FAM6_KABYLAKE_L
> #define INTEL_FAM6_KABYLAKE_MOBILE	INTEL_FAM6_KABYLAKE_L
> #endif
> 
> and remove it when the initial patch is in an rc1?

Ah thanks, that's the piece I've missed.  The conflict appears *after*
the merge with tip.  I have tested only the merge result with Linus
tree, so it didn't appear in my build tests.

Putting Linus to Cc, so that he can see the possible conflicts
beforehand.

thanks,

Takashi